<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		david.cifuentes
@version 		1.0
@description 	Pantalla para realizar la actualización de las inconsistencias geográficas de 
                los predios asociados a un trámite, retirando las que fueron solucionadas en Depuración.
@cu				CU-NP-CO-215 - Actualizar inconsistencias.
            
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Actualizar inconsistencias geográficas::.</ui:define>
    <ui:define name="content">

        <h:panelGrid columns="1" width="100%">
            <tramite:tramiteResumen id="tabsgridI"
                                    tramiteParam="#{depuracion.tramiteSeleccionado}"
                                    muestraClasificacionParam="true" muestraFechaRadicacionParam="true"
                                    muestraFechaSolicitudParam="true" />
        </h:panelGrid>

        <h:form id="actualizarInconsistenciasForm">

            <p:spacer height="10" />

            <p:messages id="actualizarInconsistenciasMsg" showDetail="false"
                        globalOnly="false" />

            <p:fieldset>
                <h:panelGrid columns="5" cellspacing="5" cellpadding="5">

                    <h:outputLabel value="Inconsistencias geográficas:"
                                   styleClass="outputLabelStyle" />
                    <p:dataTable
                        value="#{depuracion.listaInconsistenciasGeograficas}"
                        id="inconsistenciasTable" var="inconsistencia"
                        selection="#{depuracion.eliminarInconsistencia}"
                        emptyMessage="No hay inconsistencias asociadas" paginator="true"
                        rows="5"
                        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                        paginatorPosition="bottom" rowsPerPageTemplate="5,10,15">

                        <p:column headerText="Opciones" style="width:32px">
                            <center>
                                <p:commandButton
                                    update=":actualizarInconsistenciasForm"
                                    action="#{depuracion.eliminarInconsistencia}"
                                    icon="ui-icon-trash" title="Eliminar" process="@this">
                                    <f:setPropertyActionListener value="#{inconsistencia}"
                                                                 target="#{depuracion.inconsistenciaAEliminar}" />
                                </p:commandButton>
                            </center>
                        </p:column>

                        <p:column headerText="Inconsistencia geográfica">
                            <center>
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{inconsistencia}">
                                </h:outputText>
                            </center>
                        </p:column>
                    </p:dataTable>

                    <p:spacer width="10" />

                    <h:outputLabel
                        value="Otras razones para solicitar la depuración geográfica:"
                        styleClass="outputLabelStyle" />
                    <p:editor
                        value="#{depuracion.razonezDepuracionGeografica}"
                        id="razonezDepuracionGeografica"  disabled="true"
                        widgetVar="razonezDepuracionGeografica" width="400" height="150"
                        controls="bold italic | style |
                        bullets numbering | outdent indent | alignleft justify | undo redo  | 
                        cut copy paste pastetext | print " />

                </h:panelGrid>
            </p:fieldset>

            <p:separator style="width:98%;height:3px" />

            <p:outputPanel layout="block" style="text-align:right">

                <p:commandButton value="Avanzar proceso"
                                 update="actualizarInconsistenciasForm"
                                 action="#{depuracion.avanzarProcesoActualizarInconsistencias}" ajax="false"
                                 icon="ui-icon-arrowthick-1-e" />

                <p:spacer width="10" />

                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                 action="#{depuracion.cerrar}" ajax="false"
                                 immediate="true" />

                <p:spacer width="10" />

            </p:outputPanel>
            <p:spacer width="10" />
        </h:form>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="../ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

    </ui:define>
</ui:composition>
